<template lang="html">
  <content-screen>
    <h1>ButterCurrency</h1> 
    <butter-list>
      <butter-currency value="1000" currency="USD" :inLocal="true" />
    </butter-list>
    <butter-list>
      <butter-currency value="$1000.00" :inLocal="false" />
    </butter-list>
    <butter-list>
      <butter-currency :value="{ numerator: '100000', denominator: '100', currency: 'EUR' }" :inLocal="false" />
    </butter-list>
    <butter-list>
      <butter-currency :value="1" :currency="{ currency: 'BTC', precision: 8 }" />
    </butter-list>
    <butter-list>
      <butter-currency :value="0.5" currency="eth" :trim="true" />
    </butter-list>
    <butter-list>
      <butter-currency value="100" currency="AZN" />
    </butter-list>
    <butter-list>
      <butter-currency value="100" currency="KZT" />
    </butter-list>
    <butter-list>
      <butter-currency 
        :value='{"numerator":"1114498","denominator":"100","currency":"USD","precision":2,"symbol":"$"}' 
        :currency='{"numerator":"1114498","denominator":"100","currency":"USD","precision":2,"symbol":"$"}' 
        :precision="null"
        :commas="true"
        :decimal="8"
        :inLocal="false"
        :trim="true"
        />
    </butter-list>
    <butter-list>
      <butter-currency 
        :value='{"numerator":"8992","currency":"BTC","denominator":"100000000"}' 
        :currency='{"numerator":"8992","currency":"BTC","denominator":"100000000"}' 
        :precision="null"
        :commas="true"
        :decimal="8"
        :inLocal="false"
        :trim="true"
        />
    </butter-list>
    <butter-list>
      <butter-currency 
        :value='{"numerator":"144090000000000000000","denominator":"1000000000000000000","currency":"AED","scale":18}'
        :commas="true"
        :currency="undefined"
        :decimal="0"
        :inLocal="false"
        :precision="8"
        :trim="false"
        />
    </butter-list>
    <butter-list>
      <butter-currency 
        :value='"0."'
        :commas="true"
        :currency='{"numerator":"0","currency":"BTC","denominator":"100000000"}'
        :decimal="8"
        :inLocal="false"
        :precision="8"
        :trim="false"
        />
    </butter-list>
    <butter-list>
      <butter-currency 
        :value='"0.01"'
        :commas="true"
        :currency='{"numerator":"0","currency":"BTC","denominator":"100000000"}'
        :decimal="8"
        :inLocal="false"
        :precision="8"
        :trim="false"
        />
    </butter-list>
    <butter-list>
      <butter-currency 
        :value='{"numerator":"85743472938560000000000","denominator":"1000000000000000000","currency":"BRD","scale":18}'
        :commas="true"
        :decimal="4"
        :inLocal="false"
        :precision="8"
        :trim="true"
        />
    </butter-list>
    <butter-list>
      <butter-currency 
        :value='{"numerator":"9186907320421251","denominator":"100000000000000000000","currency":"BTC","scale":8}'
        :currency='{"numerator":"9186907320421251","denominator":"100000000000000000000","currency":"BTC","scale":8}'
        :commas="true"
        :decimal="null"
        :inLocal="false"
        :precision="null"
        :trim="false"
        />
    </butter-list>
    <butter-list>
      <butter-currency 
        :value='{"numerator":"100","denominator":"100","currency":"USD","precision":2,"symbol":"$"}'
        :currency='{"numerator":"100","denominator":"100","currency":"USD","precision":2,"symbol":"$"}'
        :commas="true"
        :inLocal="false"
        :trim="false"
        />
    </butter-list>
  </content-screen>
</template>

<script>
export default {
}
</script>

<style lang="css" scoped>
</style>
